package com.framsticks.net.client3D.graphics.loaders;

/**
 * Wierzchołek i jego atrybuty. Prawdziwe dane o atrybutach trzymane sa w klasie ObjMesh, tutaj tylko mamy indeksy do elementow w tablicy.
 * @author vorg
 *
 */
public class OBJFaceVertex {
	private int normalIndex;
	private int texCoordIndex;
	private int vertexIndex;
	
	public int getNormalIndex() {
		return normalIndex;
	}
	public void setNormalIndex(int normalIndex) {
		this.normalIndex = normalIndex;
	}
	public int getTexCoordIndex() {
		return texCoordIndex;
	}
	public void setTexCoordIndex(int texCoordIndex) {
		this.texCoordIndex = texCoordIndex;
	}
	public int getVertexIndex() {
		return vertexIndex;
	}
	public void setVertexIndex(int vertexIndex) {
		this.vertexIndex = vertexIndex;
	}
	
	@Override
	public boolean equals(java.lang.Object obj) {
		OBJFaceVertex v = (OBJFaceVertex)obj;
		return (vertexIndex == v.getVertexIndex()) 
			&& (normalIndex == v.getNormalIndex())
			&& (texCoordIndex == v.getTexCoordIndex());
	}
	
	
}
